# Manual provisioning payment token activation

This endpoint activates the payment token for a card that has been manually added to a wallet provider. Please read this [guide](/guides/product/issue-cards/card-digital-wallet.md) before implementing this API.
This API is not available for sandbox testing.

Endpoint: POST /spend/profiles/{profileId}/cards/{cardToken}/payment-tokens/{paymentTokenUniqueReference}/activation
Security: UserToken, ClientCredentialsToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID

  - `cardToken` (string, required)
    The card token

  - `paymentTokenUniqueReference` (string, required)
    The payment token unique reference issued by the scheme token service

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `activation` (string, required)
    Approve or decline a payment token activation
    Enum: "APPROVE", "DECLINE"

## Response 400 fields (application/json):

  - `type` (string)
    Validation type error

  - `title` (string)
    A validation type exception

  - `status` (string)
    The HTTP status error code

  - `instance` (string)
    The uri the triggered a validation error

  - `errors` (array)
    A list of specific validation failures.

  - `errors.detail` (string)
    A detailed description of the validation failure.

  - `errors.code` (string)
    A specific code for the validation failure type.

  - `errors.ref` (string)
    A reference to the field that failed validation.

## Response 403 fields (application/problem+json):

  - `type` (string)
    An access type exception

  - `title` (string)
    The title of the exception

  - `status` (string)
    The HTTP status error code

  - `detail` (string)
    A detailed description of the validation failure

  - `instance` (string)
    The uri the triggered a validation error

  - `code` (string)
    A specific application-level code

## Response 404 fields (application/problem+json):

  - `type` (string)
    An domain type exception

  - `title` (string)
    The title of the exception

  - `status` (string)
    The HTTP status error code

  - `detail` (string)
    A detailed description of the validation failure

  - `instance` (string)
    The uri the triggered a validation error

  - `code` (string)
    A specific application-level code

## Response 500 fields (application/problem+json):

  - `type` (string)
    An server type exception

  - `title` (string)
    The title of the exception

  - `status` (string)
    The HTTP status error code

  - `detail` (string)
    A detailed description of the validation failure

  - `instance` (string)
    The uri the triggered a validation error

